## strongswan 5.9.12

=== debian/changelog ===
strongswan (5.9.12-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040430). Remaining changes:
    - d/control: strongswan-starter hard-depends on strongswan-charon,
      therefore bump the dependency from Recommends to Depends. At the same
      time avoid a circular dependency by dropping
      strongswan-charon->strongswan-starter from Depends to Recommends as the
      binaries can work without the services but not vice versa.
    - re-add post-quantum encryption algorithm (NTRU) (LP #1863749)
      + d/control: mention plugins in package description
      + d/rules: enable ntru at build time
      + d/libstrongswan-extra-plugins.install: ship config and shared objects
    - Re-enable eap-{dynamic,peap} libcharon plugins (LP #1878887)
      + d/control: update libcharon-extra-plugins description.
      + d/libcharon-extra-plugins.install: install .so and conf files.
      + d/rules: add plugins to the configuration arguments.
    - Remove conf files of plugins removed from libcharon-extra-plugins
      + The conf file of the following plugins were removed: eap-aka-3gpp2,
        eap-sim-file, eap-sim-pcsc, eap-sim, eap-simaka-pseudonym,
        eap-simaka-reauth, eap-simaka-sql, xauth-noauth.
      + Created d/libcharon-extra-plugins.maintscript to handle the removals
        properly.
    - d/t/{control,host-to-host,utils}: new host-to-host test
      (LP #1999525)
    - d/usr.sbin.swanctl: allow "m" flag for /usr/sbin/swanctl
      (LP #1999935)
  * Dropped:
    - SECURITY UPDATE: Buffer Overflow When Handling DH Public Values
      + debian/patches/CVE-2023-41913.patch: Validate DH public key to fix
        potential buffer overflow in
        src/charon-tkm/src/tkm/tkm_diffie_hellman.c.
      + CVE-2023-41913
      [Fixed upstream in 5.9.12]

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 04 Jan 2024 10:25:23 -0300

strongswan (5.9.12-1) unstable; urgency=medium

  * New upstream version 5.9.12
    - includes fix for CVE-2023-41913 in charon-tkm
      Buffer Overflow When Handling DH Public Values
  * d/strongswan-pki.install: install pki --ocsp manpage

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 20 Nov 2023 22:19:21 +0100

strongswan (5.9.11-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052718)

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 13 Nov 2023 20:22:47 +0100

strongswan (5.9.11-1ubuntu2) noble; urgency=medium

  * SECURITY UPDATE: Buffer Overflow When Handling DH Public Values
    - debian/patches/CVE-2023-41913.patch: Validate DH public key to fix
      potential buffer overflow in
      src/charon-tkm/src/tkm/tkm_diffie_hellman.c.
    - CVE-2023-41913

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 Nov 2023 11:43:00 +0200
