## strongswan 5.9.13

=== debian/changelog ===
strongswan (5.9.13-2) unstable; urgency=medium

  * d/control: drop build-dep on systemd (Closes: #1060509)

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 21 Jan 2024 14:12:25 +0100

strongswan (5.9.13-1) unstable; urgency=medium

  * New upstream version 5.9.13

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 11 Jan 2024 17:09:17 +0100
