## strongswan 6.0.1

=== debian/changelog ===
strongswan (6.0.1-6ubuntu5) resolute; urgency=medium

  * SECURITY UPDATE: Buffer Overflow When Handling EAP-MSCHAPv2 Failure
    Requests
    - debian/patches/CVE-2025-62291.patch: fix length check for Failure
      Request packets on the client in
      src/libcharon/plugins/eap_mschapv2/eap_mschapv2.c.
    - CVE-2025-62291

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Oct 2025 10:11:00 -0400

strongswan (6.0.1-6ubuntu4) questing; urgency=medium

  * d/t/host-to-host: configure negative trust anchor for lxd domain
    Do this instead of disabling DNSSEC per-interface (LP: #2119652)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 21 Aug 2025 12:46:41 -0400

strongswan (6.0.1-6ubuntu3) questing; urgency=medium

  * d/t/host-to-host: disable DNSSEC in container during test (LP: #2119652)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 19 Aug 2025 10:26:51 -0400

strongswan (6.0.1-6ubuntu2) questing; urgency=medium

  * Cherry-pick upstream commits to fix FTBFS with GCC-15 C23.
    - debian/patches/gcc15-compat/*

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 31 Jul 2025 09:47:21 +0200

strongswan (6.0.1-6ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110449). Remaining changes:
    - d/control: strongswan-starter hard-depends on strongswan-charon,
      therefore bump the dependency from Recommends to Depends. At the same
      time avoid a circular dependency by dropping
      strongswan-charon->strongswan-starter from Depends to Recommends as the
      binaries can work without the services but not vice versa.
    - Re-enable eap-{dynamic,peap} libcharon plugins (LP #1878887)
      + d/control: update libcharon-extra-plugins description.
      + d/libcharon-extra-plugins.install: install .so and conf files.
      + d/rules: add plugins to the configuration arguments.
    - d/t/{control,host-to-host,utils}: new host-to-host test
      (LP #1999525)
    - d/usr.sbin.swanctl: allow "m" flag for /usr/sbin/swanctl
      (LP #1999935)
  * Drop changes:
    - re-add post-quantum encryption algorithm (NTRU) (LP #1863749)
      [ deprecated & dropped upstream as of 6.0.0 ]
    - Remove conf files of plugins removed from libcharon-extra-plugins
      [ Not relevant anymore after > 1 LTS cyle ]

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 24 Jul 2025 15:43:37 +0200

strongswan (6.0.1-6) unstable; urgency=medium

  * d/control: keep strongswan-charon and strongswan-starter as acceptable
    dependencies for strongswan
    (Closes: #1109510)

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 22 Jul 2025 18:24:43 +0200

strongswan (6.0.1-5) unstable; urgency=medium

  * autopkgtests: wait a bit to make sure daemons are started

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 20 May 2025 13:15:45 +0200

strongswan (6.0.1-4) unstable; urgency=medium

  * autopkgtest: make sure the charon daemon is started

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 14 May 2025 22:03:02 +0200

strongswan (6.0.1-3) unstable; urgency=medium

  * autopkgtest: daemon test also requires strongswan-charon

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 14 May 2025 14:15:36 +0200

strongswan (6.0.1-2) unstable; urgency=medium

  * autopkgtest: plugins uses the strongswan-starter service
  * d/control: add conflicts against libreswan

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 13 May 2025 17:28:42 +0200

strongswan (6.0.1-1) unstable; urgency=medium

  * d/control: revert strongswan-charon to strongswan-starter dependency
    (Closes: #1098714)
  * New upstream version 6.0.1
    - fix regression in DHCP handling (Closes: #1098857)
  * d/strongswan-nm.install: ship the charon-nm config

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 14 Mar 2025 18:55:38 +0100

strongswan (6.0.0-2) unstable; urgency=medium

  * debian/tests: update tests dependencies for metapackage changes
  * d/control: add breaks/replaces on libstrongswan to
    libstrongswan-extra-plugins for plugin moves
  * d/control: add conflicts between strongswan-charon and charon-systemd

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 21 Feb 2025 17:56:35 +0100

strongswan (6.0.0-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Yves-Alexis Perez ]
  * New upstream version 6.0.0
  * d/patches: rebase against new upstream
  * handle removal of bliss and ntru plugins
  * d/control: drop breaks/replaces against 5.5 version
  * d/rules: force-enable curve25519 plugin
  * Enable some upstream-disabled plugin but move them to -extra-plugin
  * move openssl plugin to libstrongswan package
  * d/control: update pkg-config b-dep to pkgconf
  * d/control: update strongswan metapackage to switch from strongswan-starter
    to strongswan-swanctl (Closes: #1085384)
  * d/copyright updated for new release (Closes: #1039527)
  * d/control: drop conflict with openswan, not in Debian anymore
  * d/control: drop obsolete breaks/replaces
  * move pgp plugin to the -extra-plugins package
  * move sshkey plugin to the -standard-plugin package
  * move kdf and xcbc plugins to the -extra-plugins package
  * move fips-prf to the -extra-plugins package
  * update NEWS with info about the plugins moves
  * d/control: update standards version to 4.7.1

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 21 Feb 2025 14:09:27 +0100

strongswan (5.9.13-2ubuntu5) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:22:36 +0200

strongswan (5.9.13-2ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:55:30 +1100

strongswan (5.9.13-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:03:41 +0000

strongswan (5.9.13-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:28:04 +0000

