=== debian/tests/control ===
Tests: admin-strongswan-charon admin-strongswan-starter
Depends: strongswan-starter, strongswan-charon, strongswan-pki
Restrictions: needs-root isolation-container allow-stderr

Tests: daemon plugins
Depends: strongswan-starter, strongswan-charon, libstrongswan-standard-plugins, libstrongswan-extra-plugins, libcharon-extra-plugins
Restrictions: needs-root isolation-machine allow-stderr

Tests: host-to-host
Depends: strongswan-swanctl, strongswan-pki, libstrongswan-extra-plugins,
 charon-systemd, lsb-release, snapd, dctrl-tools, libtss2-tcti-tabrmd0,
 bind9-dnsutils
Restrictions: needs-root isolation-machine allow-stderr skippable
