## strongswan 6.0.2

=== debian/changelog ===
strongswan (6.0.2-1) unstable; urgency=medium

  * New upstream version 6.0.2
    - Fix support with OpenSSL 3.5.1+ (Closes: #1109942)
  * install iptfs configuration in libstrongswan
  * d/copyright updated with decopy

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 22 Aug 2025 10:45:05 +0200
