## strongswan 6.0.3

=== debian/changelog ===
strongswan (6.0.3-1) unstable; urgency=medium

  * New upstream version 6.0.3
    - Fix for buffer overflow in EAP-MSCHAPv2 (CVE-2025-62291)

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 30 Oct 2025 18:15:57 +0100
