=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: strongswan
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: strongSwan Maintainers <pkg-swan-devel@lists.alioth.debian.org>
+Maintainer: strongSwan Maintainers <pkg-swan-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/debian/strongswan
@@ -208,9 +207,6 @@
   - unity (Cisco Unity extensions for IKEv1)
   - xauth-eap (XAuth backend that uses EAP methods to verify passwords)
   - xauth-pam (XAuth backend that uses PAM modules to verify passwords)
-  - eap-dynamic (EAP proxy plugin that dynamically selects an EAP method
-    requested/supported by the client (since 5.0.1))
-  - eap-peap (EAP-PEAP protocol handler, wraps other EAP methods securely)
 
 Package: strongswan-starter
 Architecture: any
@@ -218,10 +214,10 @@
 Depends: adduser,
          libstrongswan (= ${binary:Version}),
          sysvinit-utils (>= 3.05-3),
-         strongswan-charon,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: libreswan
+Recommends: strongswan-charon
 Description: strongSwan daemon starter and configuration file parser
  The strongSwan VPN suite uses the native IPsec stack in the standard
  Linux kernel. It supports both the IKEv1 and IKEv2 protocols.
@@ -257,10 +253,10 @@
 Pre-Depends: debconf | debconf-2.0
 Depends: iproute2 [linux-any] | iproute [linux-any],
          libstrongswan (= ${binary:Version}),
+         strongswan-starter,
          ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: charon-systemd
-Recommends: strongswan-starter,
 Provides: ike-server
 Description: strongSwan Internet Key Exchange daemon
  The strongSwan VPN suite uses the native IPsec stack in the standard
@@ -272,3 +268,8 @@
 
 Package: strongswan-nm
 Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: network-manager-strongswan
+Replaces: network-manager-strongswan (<= 1.4.1-1~)
+Description: strongSwan plugin to interact with NetworkManager
+ The strongSwan VPN suite uses the native IPsec stack in the standard
